AzureRM - Bug #37351

Correct the foreman-maintain packages update warning
04/15/2024 07:07 AM - Ashish Humbe

Status: Rejected
Priority: Normal
Assignee: Ashish Humbe
Category:
Target version: 2.2.11
Difficulty: trivial Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 2022615 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman_
maintain/pull/831

Description
Currently the message we get while running 'foreman-maintain packages update' is the following.

WARNING: No specific packages to update were provided

S0 we are going to update all available packages.

It is recommended to update everything only as part of upgrade
of the Satellite to the next version.

To Upgrade to next version use 'foreman-maintain upgrade'.

The update from Eric in the bugzilla :

Note for solving this -- we should drop the recommendation "It is recommended to update everything only as part of upgrade of the
Satellite to the next version."

History

#1 - 04/22/2024 04:34 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman_maintain/pull/831 added

#2 - 04/22/2024 11:56 AM - Eric Helms

- Status changed from New to Rejected

This is a foreman-maintain bug report, wrong project.
